Skip to main content
POST
/
incentives
/
{incentiveId}
/
cancel
Cancel an incentive
curl --request POST \
  --url https://api.rallyuxr.com/api/public/v1/incentives/{incentiveId}/cancel \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.rallyuxr.com/api/public/v1/incentives/{incentiveId}/cancel"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.rallyuxr.com/api/public/v1/incentives/{incentiveId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "incentiveId": "<string>"
}
{
"errors": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
"Unauthorized"
"Forbidden"
"{Resource} not found"
"Study is not in draft status"
"Too Many Requests"
"Internal Server Error"

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

incentiveId
string
required

Response

The incentive was canceled

The result of canceling an incentive

success
boolean
required

Whether the incentive was canceled

incentiveId
string
required

The ID of the incentive that was canceled